OBJECTIVE = pidgin-twitter.so
SRC = pidgin-twitter.c

PIDGIN_CFLAGS = @PIDGIN_CFLAGS@
GLIB_CFLAGS = @GLIB_CFLAGS@
CFLAGS = -fPIC -shared -Wall $(PIDGIN_CFLAGS) $(GLIB_CFLAGS)

GLIB_LIBS = @GLIB_LIBS@
LDFLAGS = $(GLIB_LIBS)

PIDGIN_LIB_DIR = @PIDGIN_LIB_DIR@


default: $(OBJECTIVE)


$(OBJECTIVE): $(SRC)
	gcc -o $@ $< $(CFLAGS) $(LDFLAGS) -g 


install: $(OBJECTIVE)
	install -m 755 $(OBJECTIVE) $(PIDGIN_LIB_DIR)/pidgin


clean:
	rm -f $(OBJECTIVE)


distclean: clean
	rm -f Makefile config.log config.status aclocal.m4 *~
	rm -rf autom4te.cache

